use serde::{Deserialize, Serialize};
use strum::IntoEnumIterator; // 0.17.1
use strum_macros::EnumIter;

#[derive(Clone,Serialize,Deserialize,Debug, EnumIter)]
pub enum YearOfBachelor {
    First,
    Second,
    Third
}

impl ToString for YearOfBachelor {
    fn to_string(&self) -> String {
        match self {
            YearOfBachelor::First => String::from("1ère année"),
            YearOfBachelor::Second => String::from("2ème année"),
            YearOfBachelor::Third => String::from("3ème année"),
        }
    }
}

impl YearOfBachelor { 
    pub fn to_select_options() -> String {
        let mut output = String::new();
        for option in YearOfBachelor::iter() {
            output.push_str("<option value=\"");
            output.push_str(&option.to_string());
            output.push_str("\">");
            output.push_str(&option.to_string());
            output.push_str("</option>");
        }
        output.to_string()
    }

}
